@import url("https://fonts.googleapis.com/css2?family=Ubuntu&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Source+Code+Pro:wght@300&family=Ubuntu&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Brygada+1918&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Sevillana&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Great+Vibes&display=swap");

* {
  margin: 0;
  padding: 0;
}

html::-webkit-scrollbar {
  width: 0.3em;
}

html::-webkit-scrollbar-thumb {
  border-radius: 1.2em;
  background: linear-gradient(whitesmoke, #54d5fd);
  height: 1em;
}

html::-webkit-scrollbar-track {
  background-color: white;
}

.container {
  display: flex;
  font-size: 11px;
}

.header {
  margin: 4.5em 0 2em 1.2em;
  color: dodgerblue;
  /* font-family: "Source Code Pro", monospace; */
  font-family: "Ubuntu", sans-serif;
  background-color: black;
  width: fit-content;
  /* border-radius: 0 2.5rem 0 2.5rem; */
  border-radius: 2.5em;
  border-bottom-right-radius: 0.7em;
  border-top-right-radius: 0.9em;
}

/* Sidebar */

.sidebar {
  /* background-color: #ccc; */
  /* width: 20vw; */
  /* position: absolute; */
  /* background-color: rgb(84, 213, 253, .5); */
  background-color: rgb(84, 213, 253, 0.85);
  font-family: "Ubuntu", sans-serif;
  height: 100vh;
  transition: transform 0.6s ease-in-out;
  position: relative;
  z-index: 2;
  position: fixed;
}

.sidebar nav {
  padding: 40px;
}

.sidebar nav li {
  list-style: none;
  font-size: 1.99em;
  padding: 30px 0;
}

.sidebar nav li a:focus {
  font-weight: 600;
  font-size: 0.97em;
}

.sidebar nav li a {
  border-radius: 0.3em;
  text-decoration: none;
  padding: 3px;
  color: black;
}

.sidebarGo {
  transform: translate(-340px, 0px);
  position: absolute;
}

/* Hamburger */

.hamburger {
  position: absolute;
  cursor: pointer;
  top: 2em;
  left: 2em;
  z-index: 3;
  /* position: fixed; */
  border-radius: 20%;
  transition-duration: 250ms;
  background-color: #54d5fd;
  padding: 5px;
}

.hamburger:hover {
  background-color: #54d5fd;
  border-radius: 55%;
  padding: 6.6px;
}

.cross {
  margin-left: 11em;
  position: fixed;
  padding: 10px;
  border-radius: 25%;
}

.cross:hover {
  transition-duration: 250ms;
  background-color: rgb(84, 213, 253, 0.35);
  border-radius: 50%;
}

/*Event Gallery*/

*::after,
*::before {
  box-sizing: border-box;
}

.body {
  margin: 0;
}

/* .slides-header syled in contact page styles */

.body > section {
  height: fit-content;
  display: flex;
  justify-items: center;
}

.carousel {
  width: 70em;
  height: 25em;
  position: relative;
  box-sizing: border-box;
  margin-top: 2rem;
}

.carousel > ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

.slides {
  position: absolute;
  inset: 0;
  opacity: 0;
  /* top: 10rem; */
  left: 26.4rem;
  transition: 700ms opacity ease-in-out;
  transition-delay: 250ms;
  animation-name: scroll;
  animation-duration: 4s;
}

.slides > img {
  display: block;
  width: 95%;
  height: 90%;
  object-fit: cover; /* it fits the imge in given width & height maintaining aspect ratio */
  object-position: center;
  position: absolute;
  z-index: 3;
}

.slides[data-active] {
  opacity: 1;
  /* transition: 200ms opacity ease-in; */
  transition-delay: 0ms;
}

.carousel-button {
  position: absolute;
  z-index: 2;
  background-color: none;
  border: none;
  font-size: 2rem;
  top: 43%;
  transform: translateY(-50%);
  color: rgba(22, 22, 22, 0.5);
  cursor: pointer;
  border-radius: 60%;
  padding: 0.5rem;
  background-color: rgba(223, 219, 219, 0.05);
}

.carousel-button:hover {
  background-color: rgba(223, 219, 219, 0.1);
  transition-duration: 350ms;
}

.carousel-button:focus {
  background-color: rgba(223, 219, 219, 0.3);
  font-size: 1.88rem;
  transition-duration: 300ms;
}

.carousel-button.prev {
  left: 24rem;
}

.carousel-button.next {
  right: 0.1rem;
}

/* @keyframes scroll{
  0%{
    transform: translateX(0);
  }
  100%{
    transform: translateX(calc(-150px * 9));
  }
} */

/* Home Page */

.home {
  background-color: #c4edfa;
  bottom: 0;
}

.infoContainer {
  /* background-color: rgb(36, 184, 164); */
  margin: 5.5em auto 0em 9em;
  padding: 3em;
  display: flex;
  flex-direction: row;
  height: 85vh;
}

.devInfo {
  display: flex;
  justify-content: center;
  flex-direction: column;
}

.hello {
  font-size: 3em;
  font-family: "Source Code Pro", monospace;
  margin: 0.5em 0;
}

.name {
  font-size: 2.9em;
  font-family: "Ubuntu", sans-serif;
  font-weight: bold;
  margin-bottom: 0.5em;
}

.about {
  font-size: 1.85em;
  font-family: "Source Code Pro", monospace;
  margin-bottom: 0.6em;
}

.moreabout {
  font-size: 1.35em;
  font-family: cursive;
  font-weight: 100;
}

.buttons button {
  margin: 3em 0 0em 0.45em;
  padding: 0.75em;
  font-size: 1.1em;
  color: white;
  font-weight: bolder;
  background-color: dodgerblue;
  border-radius: 1.35em;
  cursor: pointer;
  border-width: 0px 1px 2px 0px;
}

.buttons button:hover {
  /* font-size: 1.13em;
  padding: 0.89em; */
  color: black;
  border: 2px solid black;
  transition-duration: 350ms;
  background-color: #b3e8fa;
}

.buttons button:focus {
  background-color: rgb(6, 120, 233);
  color: white;
  /* color: dodgerblue;
  background-color: white;
  border-width: thin; */
}

.devPic {
  display: flex;
  justify-content: center;
  /* align-items: center; */
  flex-direction: column;
}

.devPic img {
  height: 27em;
  float: right;
  border-radius: 45%;
  border: 3px solid #54d5fd;
  border-bottom: 0;
  /* filter: drop-shadow(-0px -1px 10px rgb(138, 181, 223)); */
}

.homebtn {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.hbtndiv {
  margin: 3em 0.7em 2em 0;
}

.hbtn {
  border-style: none;
  background-image: linear-gradient(
    to bottom right,
    rgba(30, 144, 255, 0.5),
    rgb(30, 144, 255, 1)
  );
  color: white;
  font-size: 1em;
  font-weight: 500;
  padding: 0.6em;
  border-radius: 1.15em;
  cursor: pointer;
}

.hbtn a {
  text-decoration: none;
}

.hbtn:hover {
  font-size: 0.97em;
  padding: 0.55em;
  background-color: rgb(84, 213, 253);
  box-shadow: 1px 1px 5px #0984e3;
  transition-delay: 300ms;
}

/* Intro Page */

.intro {
  /* background-color: #e4f7fd; */
  background-color: #c5e9f5;
  bottom: 0;
}

.whatsUp {
  /* color: #54d5fd; */
  color: #066c8b;
  margin-left: 0.8em;
  font-size: 2.5em;
}

.hope {
  margin: 2em 3em 2em 1.25em;
  font-size: 2em;
}

.introcontainer p {
  background-color: white;
  margin: 0 3.5em 2em 3.2em;
  padding: 0.6em;
  color: black;
  font-size: 1.5em;
  font-family: Arial, Helvetica, sans-serif;
  border-radius: 0.4em;
}

.intropage {
  display: flex;
  flex-direction: row;
}

.intropic img {
  width: 45em;
  margin-right: 2em;
  /* box-shadow:dodgerblue; */
  filter: drop-shadow(-0.5px 0px 10px rgb(138, 181, 223));
  border-radius: 20%;
  border: 2px solid #54d5fd;
  /* filter: drop-shadow(.5rem .5rem 1rem dodgerblue); */
}

/* .belowintropic {
  /*intropic text*/
/* font-size: 1.4em;
  font-family: cursive;
  font-weight: 100;
  margin: 1em 2em 3em 1.1em;
  /* font-family: Arial, Helvetica, sans-serif; */
/* background: linear-gradient(to right, #000, #54d5fd);
  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text; 
 } */

/* .belowintropic > span {
  -webkit-text-fill-color: initial;
} */

.intropic::after {
  content: "'I like travelling to places, this is one of the evidencesツ I have a goal to travel whole India one day!'";
  display: table;
  background: linear-gradient(to right, #000, #54d5fd);
  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
  font-variant: small-caps;
  margin: 1em 3.36em 5em 4.2em;
  font-size: 1.352em;
}

/* Skills Page */

.skill {
  background-color: #b3e8fa;
  bottom: 0;
}

.skillcontainer,
.toolscontainer {
  /* background-color: rgb(27, 27, 27); */
  /* justify-items: center; */
  /* border-radius: 9%; */
  /* height: auto; */
  width: 60vw;
  margin-left: 25em;
  display: grid;
  /* grid-template-columns: 12em 12em 12em 12em;
  grid-template-rows: 12em 12em;  */
  grid-template-columns: repeat(5, 1fr);
  /* grid-template-rows: 1fr 1fr 1fr 1fr; */
  row-gap: 1em;
  column-gap: 0.5em;
  place-items: center;
  /* box-shadow: 1em 0.5em 2em rgb(24, 24, 24, 0.3); */
}

/* .toolscontainer {
  margin-bottom: 7em;
} */

.skills,
.tools {
  /* background-color:aqua; */
  /* height: 11em;
  width: 11em; */
  margin-top: 1em;
}

.quote {
  margin-top: 1em;
  grid-column-start: 1;
  grid-column-end: 6;
  /* padding: 1em; */
  color: black;
  font-style: italic;
  font-size: 1.5em;
}

#skills_page_resume {
  margin-bottom: 6em;
  position: relative;
  left: 45%;
}

/* Blog Page */

.blog {
  /* background-color: #e4f7fd; */
  background-color: #caeaf5;
  bottom: 0;
}

.blogcontainer h2 {
  margin: 0 0 0.8em 1em;
  /* font-family: "Source Code Pro", monospace; */
  /* font-family: "Ubuntu", sans-serif; */
  font-family: "Sevillana", cursive;
  font-size: 3em;
  color: #066c8b;
}

.blogintro {
  margin: 0px 2.9em 0 2.5em;
  /* font-family: "Roboto Condensed", sans-serif; */
  font-weight: 500;
  font-size: 1.3em;
}

.blogintro::first-letter {
  font-size: x-large;
}

.blogitems {
  margin: 4em 3.5em 5em 4em;
  font-family: "Source Code Pro", monospace;
  color: black;
  font-weight: bold;
  text-align: center;
  font-size: 1.2em;
}

.blogitems p {
  padding: 0em 1em 1em;
  line-height: 1.3em;
}

.blog1,
.blog2,
.blog3,
.blog4,
.blog5,
.blog6 {
  background-color: white;
  margin: 2em;
  border-radius: 0.4em;
  display: flex;
  flex-direction: column;
  box-shadow: 0 0 1.5em rgba(0, 0, 0, 0.2);
}

.blogitems h3 {
  color: dodgerblue;
  margin: 30px 0px 10px 0px;
}

.blogitems h3::first-letter {
  font-size: large;
}

.twelvethclassblog {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 1.1em;
}

.readmore-btn {
  color: #0984e3;
  cursor: pointer;
  margin: 2px;
}

.readmore-text {
  display: none;
}

.readmoretext--show {
  display: inline;
}

/* Contact Page */

.contactpage {
  display: flex;
  flex-direction: row;
}

.contactform {
  font-family: "Roboto Condensed", sans-serif;
  /* font-family: 'Brygada 1918', serif; */
  margin-top: 10em;
  justify-content: center;
  /* padding: 40px 0 0 65px; */
}

.mb-3 {
  display: flex;
  flex-direction: column;
}

.mb-3 label {
  padding-left: 0.3em;
}

.contact-header,
.slides-header {
  background-color: white;
  text-align: center;
  color: rgb(30, 144, 255);
  font-size: 3em;
  font-family: "Ubuntu", sans-serif;
  font-weight: 400;
  border-top-right-radius: 2em;
  border-bottom-right-radius: 2em;
}

.slides-header {
  margin: 2rem 0 0 0;
  font-size: 1.8em;
}

.contactform form {
  background-color: white;
  margin: 4em;
  margin-left: 5em;
  color: black;
  font-size: 1.5em;
  border-radius: 2em;
}

.contactform form input {
  font-size: 0.82em;
  color: cadetblue;
}

.contactform form div {
  padding: 8px 0px;
  margin: 0.2em 1vw 0 0.5em;
}

#emailhelp {
  color: grey;
  margin: 0 0.4em;
}

.form-control {
  /* width: 35vh; */
  border-radius: 2.8vh;
  border-color: dodgerblue;
  height: 3.5vh;
  font-size: 1.3em;
  padding: 1vh;
  color: rgb(15, 15, 15);
  margin-top: 5px;
}

.form-check {
  flex-direction: row;
}

.form-check-input {
  margin: 0 1vw 0 0.5em;
  width: 15px;
}

.form-check-label {
  font-size: 1em;
}

.btn {
  margin: 2em 0 3em 135px;
  font-size: 0.95em;
  padding: 0.69em;
  border-radius: 1.2em;
  border-style: none;
  background-color: dodgerblue;
  color: white;
  font-family: "Ubuntu", sans-serif;
  cursor: pointer;
}

.btn:hover {
  transition-duration: 350ms;
  font-size: 0.949em;
  border-radius: 1.5em;
  color: white;
  background-color: rgb(7, 90, 173);
}

.doodle img {
  margin: 20em 0 0 20em;
  width: 40em;
  border-radius: 1.5rem;
  filter: drop-shadow(-8px -8px 10px rgb(138, 181, 223));
  border: 0.3px solid dodgerblue;
}

.belowdoodle {
  margin-left: 5em;
  font-family: "Great Vibes", cursive;
  border-radius: 1.8rem;
  font-size: 4em;
}

/* Footer */

.footer-class {
  /* margin-top: 6.5em; */
  background-color: #54d5fd;
  text-align: center;
  width: 100vw;
}

.socials {
  display: flex;
  justify-content: center;
  margin: 1.1em 0;
  color: black;
}

.socials i {
  width: 1.5em;
  color: black;
}

.footer {
  position: fixed;
}

.footer-class h5 {
  color: whitesmoke;
  font-size: 1em;
  padding: 0.5em 0 0.2em 0;
}

#ff {
  color: black;
}

.credit h5 a {
  color: whitesmoke;
  text-decoration: none;
  font-weight: bold;
}

@media (max-width: 760px) {
  .container {
    font-size: 9px;
  }
  /*.sidebar{
    transform: translate(-240px, 0px);
    position: absolute;
  } */
  .infoContainer {
    /* flex-wrap: wrap; */
    margin: 0;
    height: 93vh;
  }
  .devPic {
    height: fit-content;
  }
  .devPic img {
    /* <img src="favicon2.webp" width="75">; */
    height: 20em;
    margin: 22vh 0 0 0;
  }
  .buttons button {
    padding: 0.88em;
    font-size: 1.1em;
  }
  .intropage {
    flex-wrap: wrap;
  }
  .intropic img {
    width: 35em;
    margin-left: 4.1em;
  }
  .belowintropic {
    margin: 1em 1.9em 3em 2.5em;
    /* margin: 1em 2em 3em 1.1em; */
  }
  .skill {
    background-color: #b3e8fa;
    bottom: 0;
  }
  .skillcontainer,
  .toolscontainer {
    width: 80vw;
    margin: 0em 4.4em;
  }
  #skills_page_resume {
    margin-bottom: 6em;
    position: relative;
    left: 39%;
  }
  .contactpage {
    display: flex;
    flex-direction: column;
  }
  .btn {
    margin: 2em 0 5em 6em;
    font-size: 1.1em;
    padding: 0.75em;
    border-radius: 1.2em;
  }
  .btn:hover {
    font-size: 1em;
    margin: 2em 0 5em 6.5em;
  }
  .doodle img {
    margin-left: 4em;
    margin-top: 2.5em;
    width: 35em;
    border-radius: 1.5rem;
  }
  .belowdoodle {
    margin: 0.3em 1em 2em 1em;
    border-radius: 1.5rem;
    font-size: 3em;
  }
  .carousel {
    width: 26em;
    height: 15em;
  }
  .slides-header {
    margin: 1rem 0 0 0;
    font-size: 1.6em;
  }
  .slides {
    /* top: 10rem; */
    left: 1.1em;
  }
  .slides > img {
    display: block;
    width: 95%;
    height: 95%;
    object-fit: cover;
    object-position: center;
    position: relative;
    z-index: 1;
  }
  .carousel-button {
    top: 45%;
  }
  .carousel-button.prev {
    left: 0.05rem;
    position: relative;
    z-index: 2;
  }
  .carousel-button.next {
    right: 0.25rem;
    /* position: relative; */
    z-index: 2;
  }
  .blogitems {
    margin: 2.5em;
  }
  .blog1,
  .blog2,
  .blog3,
  .blog4 {
    margin: 2em 1.5em;
    border-radius: 0.4em;
  }
}
@media (max-width: 380px) {
  .container {
    font-size: 7px;
  }
  .carousel {
    width: 21em;
    height: 10em;
  }
  .slides-header {
    font-size: 1.2em;
  }
  .hbtn {
    font-size: 0.85em;
    padding: 0.55em;
    border-radius: 1.15em;
  }
  .hbtn:hover {
    padding: 0.5em;
    font-size: 0.82em;
  }
  .btn {
    margin: 2em 0 5em 6em;
    font-size: 1.1em;
    padding: 0.7em;
    border-radius: 1.1em;
  }
  .btn:hover {
    margin: 2em 0 5em 8em;
  }
  .belowdoodle {
    margin: 0.3em 1em 2em 1em;
    border-radius: 1.5rem;
    font-size: 3em;
  }
}
/* @media (min-width: 767px){
  .container {
    font-size: 9px;
  } */
